import { LocalStorage } from "queue-run";
export declare type APIGatewayHTTPEvent = {
    cookies?: string[];
    rawPath: string;
    rawQueryString: string;
    requestContext: {
        domainName: string;
        http: {
            method: string;
            path: string;
            protocol: string;
            sourceIp: string;
            userAgent: string;
        };
    };
    headers: {
        [key: string]: string;
    };
    body?: string;
    isBase64Encoded: boolean;
};
export declare type APIGatewayResponse = {
    body: string;
    isBase64Encoded: boolean;
    headers: Record<string, string>;
    statusCode: number;
};
export declare type BackendLambdaRequest = {
    body?: string;
    headers: Record<string, string>;
    method: string;
    requestId?: string;
    url: string;
};
export default function httpHandler(event: BackendLambdaRequest | APIGatewayHTTPEvent, newLocalStorage: () => LocalStorage): Promise<APIGatewayResponse>;
