import { SQS } from "@aws-sdk/client-sqs";
import { LocalStorage } from "queue-run";
export declare type SQSBatchResponse = {
    batchItemFailures: Array<{
        itemIdentifier: string;
    }>;
};
export declare type SQSMessage = {
    attributes: {
        ApproximateFirstReceiveTimestamp: string;
        ApproximateReceiveCount: string;
        MessageDeduplicationId?: string;
        MessageGroupId?: string;
        SenderId: string;
        SentTimestamp: string;
        SequenceNumber?: string;
    };
    awsRegion: string;
    body: string;
    eventSource: "aws:sqs";
    eventSourceARN: string;
    md5OfBody: string;
    messageAttributes: {
        [key: string]: {
            stringValue: string;
        };
    };
    messageId: string;
    receiptHandle: string;
};
export default function handleSQSMessages({ getRemainingTimeInMillis, messages, newLocalStorage, sqs, }: {
    getRemainingTimeInMillis: () => number;
    messages: SQSMessage[];
    newLocalStorage: () => LocalStorage;
    sqs: SQS;
}): Promise<SQSBatchResponse>;
export declare function handleOneSQSMessage({ message, newLocalStorage, remainingTime, sqs, }: {
    message: SQSMessage;
    newLocalStorage: () => LocalStorage;
    remainingTime: number;
    sqs: SQS;
}): Promise<boolean>;
