import { APIGatewayHTTPEvent, APIGatewayResponse, BackendLambdaRequest } from "./handleHTTPRequest";
import { SQSBatchResponse, SQSMessage } from "./handleSQSMessages";
import { APIGatewayWebSocketEvent } from "./handleWebSocket";
export declare function handler(event: LambdaEvent, context: LambdaContext): Promise<APIGatewayResponse | SQSBatchResponse>;
declare type LambdaEvent = APIGatewayHTTPEvent | APIGatewayWebSocketEvent | {
    Records: Array<SQSMessage>;
} | BackendLambdaRequest;
declare type LambdaContext = {
    functionName: string;
    functionVersion: string;
    invokedFunctionArn: string;
    memoryLimitInMB: string;
    awsRequestId: string;
    logGroupName: string;
    getRemainingTimeInMillis: () => number;
    callbackWaitsForEmptyEventLoop: boolean;
};
export {};
